[Mailman-Users] wrapper problems with sendmail, help

John-David Childs jdc at nterprise.net
Thu May 13 17:47:20 CEST 1999

On Thursday May 13, 1999, John Lewis <jlewis at prospace.org>
 had this to say about "[Mailman-Users] wrapper problems with sendmail, help":

> I recently had to reinstall sendmail.  Now this is what I get:

Grep your sendmail.cf file for "smrsh" (sendmail restricted shell).
If you have it, then the mailman wrapper program has to be copied
from ~mailman/mail to the "sm.bin" directory where smrsh looks for
"authorized" programs to run.  Sometimes this is /etc/adm/sm.bin,
or /usr/libexec/sm.bin, or /usr/local/etc/sm.bin (check the documentation
or source code you compiled).

Hehe...I just looked at the INSTALL file in the mailman distribution and
your question is right there, already answered.

> The original message was received at Thu, 13 May 1999 09:02:14 -0400
> from localhost
>    ----- The following addresses had permanent fatal errors -----
> "|/home/mailman/mail/wrapper mailowner prospace-board"
>     (expanded from: prospace-board-admin)
>    ----- Transcript of session follows -----
> sh: wrapper not available for sendmail programs
> 554 "|/home/mailman/mail/wrapper mailowner prospace-board"... Service
> unavailable
> Help.  How do I go about correcting this?
> I'm now running sendmail 8.9.3-10.
> Thanks.
> ------------------------------------------------------
> Mailman-Users maillist  -  Mailman-Users at python.org
> http://www.python.org/mailman/listinfo/mailman-users

John-David Childs (JC612)	Enterprise Internet Solutions
Systems Administration          http://www.nterprise.net
  & Network Engineering         8707 E. Florida Ave #814 Denver, CO 80231
You could get a new lease on life -- if only you didn't need the first
and last month in advance.

More information about the Mailman-Users mailing list